Package net.rubygrapefruit.platform.internal.jni

# Class WindowsConsoleFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.WindowsConsoleFunctions

public class WindowsConsoleFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`WindowsConsoleFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`bold(FunctionResult result)`
`static void`
`clearToEndOfLine(FunctionResult result)`
`static void`
`down(int count, FunctionResult result)`
`static void`
`foreground(int ansiColor, FunctionResult result)`
`static void`
`getConsoleSize(int filedes, MutableTerminalSize size, FunctionResult result)`
`static void`
`initConsole(int filedes, FunctionResult result)`
`static boolean`
`isConsole(int filedes, FunctionResult result)`
`static void`
`left(int count, FunctionResult result)`
`static void`
`normal(FunctionResult result)`
`static void`
`reset(FunctionResult result)`
`static void`
`right(int count, FunctionResult result)`
`static void`
`startLine(FunctionResult result)`
`static void`
`up(int count, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsConsoleFunctions

public WindowsConsoleFunctions()

## Method Details

### isConsole

public static boolean isConsole(int filedes, FunctionResult result)

### getConsoleSize

public static void getConsoleSize(int filedes, MutableTerminalSize size, FunctionResult result)

### initConsole

public static void initConsole(int filedes, FunctionResult result)

### bold

public static void bold(FunctionResult result)

### normal

public static void normal(FunctionResult result)

### reset

public static void reset(FunctionResult result)

### foreground

public static void foreground(int ansiColor, FunctionResult result)

### left

public static void left(int count, FunctionResult result)

### right

public static void right(int count, FunctionResult result)

### up

public static void up(int count, FunctionResult result)

### down

public static void down(int count, FunctionResult result)

### startLine

public static void startLine(FunctionResult result)

### clearToEndOfLine

public static void clearToEndOfLine(FunctionResult result)